CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2019-11007

In GraphicsMagick 1.4 snapshot-20190322 Q8, there is a heap-based buffer over-read in the ReadMNGImage function of coders/png.c, which allows attackers to cause a denial of service or information disclosure via an image colormap.
Publish Date : 2019-04-08 Last Update Date : 2019-05-04
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
5.8
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Medium (The access conditions are somewhat specialized. Some preconditions must be satistified to exploit)
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Denial Of ServiceOverflow
CWE ID 119

- Products Affected By CVE-2019-11007

# Product Type Vendor Product Version Update Edition Language
1 OS Debian Debian Linux 8.0 Version Details Vulnerabilities
2 Application Graphicsmagick Graphicsmagick 1.3.31 Version Details Vulnerabilities
3 OS Opensuse Leap 15.0 Version Details Vulnerabilities
4 OS Opensuse Leap 42.3 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Debian Debian Linux 1
Graphicsmagick Graphicsmagick 1
Opensuse Leap 2

- References For CVE-2019-11007

https://sourceforge.net/p/graphicsmagick/bugs/596/
https://lists.debian.org/debian-lts-announce/2019/04/msg00015.html
MLIST [debian-lts-announce] 20190413 [SECURITY] [DLA 1755-1] graphicsmagick security update
http://lists.opensuse.org/opensuse-security-announce/2019-05/msg00010.html
SUSE openSUSE-SU-2019:1331
http://lists.opensuse.org/opensuse-security-announce/2019-04/msg00093.html
SUSE openSUSE-SU-2019:1272
http://hg.graphicsmagick.org/hg/GraphicsMagick/rev/40fc71472b98
http://hg.graphicsmagick.org/hg/GraphicsMagick/rev/86a9295e7c83
http://lists.opensuse.org/opensuse-security-announce/2019-05/msg00006.html
SUSE openSUSE-SU-2019:1320
http://lists.opensuse.org/opensuse-security-announce/2019-04/msg00107.html
SUSE openSUSE-SU-2019:1295

- Metasploit Modules Related To CVE-2019-11007

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.